pqxx::deadlock_detected Struct Reference
Exception classes

The ongoing transaction has deadlocked. Retrying it may help. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::deadlock_detected:
[legend]

## Public Member Functions

| deadlock_detected (std::string const &whatarg, std::string const &q, char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::transaction_rollback
| transaction_rollback (std::string const &whatarg, std::string const &q="", char const sqlstate[]=nullptr)
Public Member Functions inherited from pqxx::sql_error
| sql_error (std::string const &whatarg="", std::string const &Q="", char const sqlstate[]=nullptr)
virtual | ~sql_error () noexcept override
PQXX_PURE std::string const & | query () const noexcept
| The query whose execution triggered the exception.
PQXX_PURE std::string const & | sqlstate () const noexcept
| SQLSTATE error code if known, or empty string otherwise.
Public Member Functions inherited from pqxx::failure
| failure (std::string const &)

## Detailed Description

The ongoing transaction has deadlocked. Retrying it may help.

## Constructor & Destructor Documentation

## deadlock_detected()

pqxx::deadlock_detected::deadlock_detected | ( | std::string const & | whatarg,
|  | std::string const & | q,
|  | char const | sqlstate[] = `nullptr`
| ) |  |

explicit

References pqxx::sql_error::sqlstate().

The documentation for this struct was generated from the following files:

- except.hxx
- except.cxx